> For the complete documentation index, see [llms.txt](https://docs.screendesk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.screendesk.io/api/screendesk-api/errors.md).

# Errors

All responses from the API will include a standard HTTP successful or error status code. The successful status codes are as follows:

<table><thead><tr><th width="226">HTTP Status Code</th><th>Description</th></tr></thead><tbody><tr><td>200 OK</td><td>The request was successful. </td></tr></tbody></table>

For errors, we include extra information as to why the request was not successful. The error response body will have the following format:

```
{
  "error": {
    "message": "Descriptive information about the error",
    "code": "HTTP error code",
   }
}
```

For example, if you try to retrieve a recording that does not exist, you will get the following error response:

```
{
  "error": {
     "message": "Recording not found or does not exist",
     "code": 404,
   }
}
```

The error status codes, along with their error types, are as follows:

<table><thead><tr><th width="211">HTTP Status Code</th><th>Description</th></tr></thead><tbody><tr><td>400 Bad Request</td><td>The request cannot be accepted. Might be because the request body is empty when it should not be. </td></tr><tr><td>401 Unauthorized</td><td>The access token provided is invalid or deactivated.</td></tr><tr><td>404 Not Found</td><td>We could not find any record associated with this request.</td></tr><tr><td>500 Internal Server Error</td><td>Something went wrong with the Screendesk API. </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.screendesk.io/api/screendesk-api/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
